#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	Config
%define		pnam	IniFiles
Summary:	Config::IniFiles - a module for reading .ini-style configuration files
Summary(pl.UTF-8):	Config::IniFiles - moduł do odczytu plików konfiguracyjnych typu .ini
Name:		perl-Config-IniFiles
Version:	3.000003
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Config/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6f05ed5e2eec89914a8542248c959914
URL:		https://metacpan.org/release/Config-IniFiles
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Config::IniFiles Perl module provides a way to have readable
configuration files outside your Perl script. Configurations can be
imported (inherited, stacked,...), sections can be grouped, and
settings can be accessed from a tied hash.

%description -l pl.UTF-8
Moduł Perla Config::IniFiles umożliwia posiadanie czytelnych plików
konfiguracyjnych poza skryptem perlowym. Konfigurację można
zaimportować (odziedziczyć, umieścić na stosie...), sekcje można
pogrupować a dostęp do łańcuchów tekstowych może się odbywać poprzez
stowarzyszony z plikiem hash.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Config/IniFiles.pm
%{_mandir}/man3/Config::IniFiles.3pm*
%changelog
* Sun Mar 14 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Config-IniFiles.git;a=log;h=master

* Sun Mar 14 2021 Jakub Bogusz <qboosh@pld-linux.org> 42132d2
- updated to 3.000003

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 1ac5a1a
- drop obsolete and outdated manual inclusion of rpm macros

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 2a2385d
- use generic url

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> ae7019e
- up to 2.68

* Fri Nov 20 2009 amateja <amateja@pld-linux.org> 1d638c9
- updated to 2.54

* Mon Nov 16 2009 amateja <amateja@pld-linux.org> 5209d0d
- updated to 2.53

* Wed Sep 09 2009 amateja <amateja@pld-linux.org> 82d1f52
- updated to 2.52

* Tue Jun 16 2009 amateja <amateja@pld-linux.org> 30fa74e
- updated to 2.51

* Wed Jan 21 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> be37074
- up to 2.45

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e1a0959
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6dbec3f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0ac90c8
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> a277d8f
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 4f590d0
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 5c295f9
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 190f132
- cosmetics: unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 574eae9
- bcond fixes/porting

* Sun Apr 18 2004 ankry <ankry@pld-linux.org> f4a9503
- summary, description and license fixes

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 01712f2
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 38263b2
- mass commit: cosmetics (removed trailing white spaces)

